Mobileread
Restore libprs500 library from backup
#1  Klaatu 03-23-2008, 01:01 PM
I recently did an erase and install of Mac OS X and I am now trying to restore my libprs500 library from a backup but the app is not letting me place the library db file where I want it.

I am using version 0.4.43, and if I leave my library db file at the root of my home folder it works fine. However I do not want the file there. I want to place it on a path that is in my Documents folder.

When I attempt to tell libprs500 where to put the file it throws the error message
Quote
'NoneType' object has no attribute 'close'
with an OK button. The app creates an empty db file on the specified path but then defaults back to the file at the root of my home folder.

If I try to place my db file on the path I want and point the app there I get the error
Quote
local variable 'src' referenced before assignment
with an OK button.

What am I doing wrong here? Any help will be appreciated.

Best regards,
Michael
Reply 

#2  kovidgoyal 03-23-2008, 02:27 PM
Hmm there was a bit of refactoring that might have messed this up. Post the complete error message.
Reply 

#3  Klaatu 03-23-2008, 03:13 PM
Those are the complete error messages. I don't get anything else. But here is the console log from my last attempt to change the location of the default library:

3/23/08 12:11:35 PM [0x0-0x204204].net.kovidgoyal.librs500[3702] File "/Applications/libprs500.app/Contents/Resources/main.py", line 853, in do_config
3/23/08 12:11:35 PM [0x0-0x204204].net.kovidgoyal.librs500[3702] File "libprs500/gui2/library.pyo", line 464, in close
Reply 

#4  kovidgoyal 03-23-2008, 04:19 PM
Odd, I'll look into it in a bit, but you could just use a symlink in the meantime.

Move the library1.db to wherever you want, say /ebooks/library1.db

Then
Code
ln -s /ebooks/library1.db ~/library1.db
Reply 

#5  Klaatu 03-27-2008, 02:19 AM
I see you've released a new version of libprs500. It fixes the problem I was having. Thank you for the quick turn around.

Regards,
Michael
Reply 

#6  thegpc 03-27-2008, 02:23 PM
I am having an issue with the newest version of it, the 44 version. I installed it and now nothing will open or operate. I have been using it since the mid 30's versions and have had very few problems. I can get the lrfviewer up and running but not the actual program itself. Any suggestions? No error mesages to report...
Reply 

#7  kovidgoyal 03-27-2008, 02:29 PM
There should be another update soon to fix this.
Reply 

#8  thegpc 03-27-2008, 03:09 PM
You rock man. Thanks.
Reply 

Today's Posts | Search this Thread | Login | Register